<?php include './private/db_connect.php' ?> 

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<div class="wrapper">
<div class="content-wrapper">
	<div class="container-fluid">

		<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | Martvet</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">Debt List</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
		</div>

<div class="col-lg-12">
<div class="row">
    <div class="col-md-12">
		<div class="card card-outline card-warning">
			<div class="card-header">
				<h2 class="card-title"><b>Customer Debt List</b></h2>

				<div class="card-tools">
				<button type="button" class="btn btn-tool" data-card-widget="collapse">
					<i class="fas fa-minus"></i>
				</button>
				<button type="button" class="btn btn-tool" data-card-widget="remove">
					<i class="fas fa-times"></i>
				</button>
				</div>
			</div>
            <div class="col-md-12">
            <div class="card-body">
            <input type="hidden" id="store_id" name="store_id" value="<?php echo ($_SESSION['login_store_id']) ?>">
            <input type="hidden" name="user_id" value="<?php echo ($_SESSION['login_id']) ?>">
            <table class="table table-bordered table-hover" id="load_table">
        <thead class="alert-info">
            <th class="text-center">#</th>
            <th class="text-left">Sales Date</th>
            <th class="text-left">Customer</th>
            <th class="text-center">Invoice #</th>
            <th class="text-center">Amount</th>
            <th class="text-center">Amt Paid</th>
            <th class="text-center">Balance</th>
            <th class="text-center">Payment</th>
            <th class="text-center">Action</th>
        </thead>
        <tbody>
            <?php
        //    $sql = "SELECT s.*,
        //             s.date_updated AS sales_date, 
        //             s.ref_no AS invoice_no, 
        //             s.amount_change AS balance,
        //             c.name AS customer
        //     FROM sales_list s
        //     JOIN customer_list c ON s.customer_id = c.id
        //     LEFT JOIN debt_payment p ON s.ref_no = p.ref_no
        //     WHERE s.amount_change < 0 
        //     AND p.ref_no IS NULL";

                $sql = "SELECT s.*,
                        s.date_updated AS sales_date, 
                        s.ref_no AS invoice_no, 
                        s.amount_change AS balance,
                        c.name AS customer
                FROM sales_list s
                JOIN customer_list c ON s.customer_id = c.id
                WHERE s.amount_change < 0 
                AND NOT EXISTS (
                    SELECT 1 
                    FROM debt_payment p 
                    WHERE s.ref_no = p.ref_no
                )";


            $result = $conn->query($sql);

            if ($result->num_rows > 0) {
                $count = 1;
                while($row = $result->fetch_assoc()) {
                    echo "<tr>
                            <td class='text-center'>".$count++."</td>
                            <td class='text-left'>".$row["sales_date"]."</td>
                            <td class='text-left'>".$row["customer"]."</td>
                            <td class='text-center'>".$row["invoice_no"]."</td>
                            <td class='text-center'>&#8358; ".number_format($row["total_amount"], 2)."</td>
                            <td class='text-center'>&#8358; ".number_format($row["amount_tendered"], 2)."</td>
                            <td class='text-center'>&#8358; ".number_format($row["balance"], 2)."</td>
                            <td class='text-center'><input type='number' class='payment-input' data-invoice='".$row["invoice_no"]."'></td>
                            <td class='clickable-invoice'><button class='pay-btn btn btn-primary' data-invoice='".$row["invoice_no"]."'>Pay</button></td>
                        </tr>";
                }
            } else {
                echo "<tr><td colspan='9' class='text-center'>No results found</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>
                </div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js"></script>

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>


<style type="text/css">
	#tr_clone{
		display: none;
	}
	td{
		vertical-align: middle;
	}
	td p {
		margin: unset;
	}
	td input[type='number']{
		height: calc(100%);
		width: calc(100%);

	}
	input[type=number]::-webkit-inner-spin-button, 
	input[type=number]::-webkit-outer-spin-button { 
	  -webkit-appearance: none; 
	  margin: 0; 
	}
</style>

<script>
document.addEventListener('DOMContentLoaded', function() {
    console.log('Document is ready');
    const payButtons = document.querySelectorAll('.pay-btn');
    payButtons.forEach(button => {
        console.log('Attaching event listener to button');
        button.addEventListener('click', function() {
            const row = this.closest('tr');
            const invoiceNo = this.getAttribute('data-invoice').trim(); // Trim any whitespace or newlines
            const paymentInput = row.querySelector('.payment-input');
            if (!paymentInput) {
                console.error(`Payment input not found for invoice: ${invoiceNo}`);
                return;
            }
            const amountPaid = paymentInput.value;
            const storeId = document.getElementById('store_id').value;
            const userId = document.querySelector('input[name="user_id"]').value;

            console.log(`Invoice No: ${invoiceNo}, Amount Paid: ${amountPaid}, Store ID: ${storeId}, User ID: ${userId}`);

            if (amountPaid) {
                fetch('save_debt_payment.php', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({
                        store_id: storeId,
                        ref_no: invoiceNo,
                        amount_paid: amountPaid,
                        action_by: userId
                    })
                })
                .then(response => response.text()) // Get the raw text response
                .then(text => {
                    try {
                        const data = JSON.parse(text); // Try to parse the JSON response
                        if (data.success) {
                            alert('Balance Payment saved successfully');
                            // Optionally, you can refresh the page or update the table row here
                        } else {
                            alert('Error saving payment: ' + data.error);
                            console.error('Server error:', data.error);
                        }
                    } catch (error) {
                        console.error('Error parsing JSON:', error);
                        console.error('Response text:', text);
                        alert('Error: Could not parse response from server.');
                    }
                })
                .catch(error => {
                    alert('Error: ' + error);
                    console.error('Fetch error:', error);
                });
            } else {
                alert('Please enter an amount to pay');
            }
        });
    });
});
</script>


<script>
    
  $(function () {
    $("#load_table").DataTable({
      "responsive": true, "lengthChange": true, "autoWidth": false, "info": true,"ordering": true, "paging": true, "searching": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#load_table_wrapper .col-md-6:eq(0)');
   
  });
</script>

<script>
	$('.select2').select2({
      placeholder:"Select Store",
      width:"100%"
    });
</script>