<?php
  include './private/db_connect.php';
	
		$uStore = $_SESSION['login_store_id'];
		
		// Query to select all data from company_settings table
		$sql = "SELECT * FROM company_settings WHERE id = '$uStore'";
		$result = $conn->query($sql);

		if ($result->num_rows > 0) {
			// Output data of each row
			while ($row = $result->fetch_assoc()) {
				// Get the activation date from the row
				$activationDate = $row['activation_date'];
				     
          // Fetching the live date from the database
          $liveDate = $row['sys_date']; // Assuming 'sys_date' is in 'YYYY-MM-DD' format

          // Create DateTime object for the live date
          $liveDateObj = new DateTime($liveDate);

          // Get today's date as a DateTime object
          $today = new DateTime();

          // Calculate the difference between today and the live date
          $interval = $today->diff($liveDateObj);

          // Get the difference in days
          $activeDays = $interval->days;

				// Calculate the difference in days between sys_date and activation date
				$sysDate = time(); // Current system timestamp
				$activationTimestamp = strtotime($activationDate); // Convert activation date to timestamp
				$daysDifference = floor(($sysDate - $activationTimestamp) / (60 * 60 * 24)); // Calculate difference in days
				
				// Initialize $nextActivationDate
				$nextActivationDate = null;
        // Calculate the next activation date based on the current timestamp and days difference
					$nextActivationTimestamp = $sysDate + ((365 - ($daysDifference % 365)) * 24 * 60 * 60); // Add remaining days to current timestamp
					$nextActivationDate = date("Y-m-d", $nextActivationTimestamp);

          // Calculate the difference in days between the next activation date and today
          $now = time(); // Current timestamp
          $activationDays = ($nextActivationTimestamp - $now) / (60 * 60 * 24); // Convert seconds to days

          
			
				// Check if the difference is greater than or equal to 365 days
				if ($daysDifference >= 300) {
										
					// Use JavaScript alert to display a message
					echo '<script type="text/javascript">';
					echo 'alert("Activation is about to expire for: ' . $row['company'] . '\nDue Date: ' . $nextActivationDate . '\nDue Day(s): ' . $activationDays  . '");';
					echo '</script>';
				} elseif ($daysDifference >= 365) {	
					// Show activation Page when overdue
					
					echo '<script type="text/javascript">';
					echo 'alert("Activation have expired for: ' . $row['company'] . '\nDue Date: ' . $nextActivationDate . '");';
					echo '</script>';
				}
			}
		} else {
			// echo "0 results";
		}
      
?>
<body class="hold-transition sidebar-mini sidebar-collapse">
<!-- <body class="hold-transition sidebar-mini layout-navbar-fixed layout-footer-fixed layout-fixed"> -->
<div class="wrapper">

<!-- Preloader AdminLTELogo.png 
<div class="preloader flex-column justify-content-center align-items-center">
  <img class="animation__wobble" src="dist/img/store.png" alt="AdminLTELogo" height="60" width="60">
</div> -->

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-dark navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
		    <a href="./" class="nav-link nav-home">Home</a>
        <!--<a href="index.php" class="nav-link">Home</a>-->
      </li>
      <li class="nav-item d-none d-sm-inline-block">
		    <a href="index.php?page=report_dashboard" class="nav-link nav-home">Reports</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="https://wa.me/message/242EUZV2AGJRA1" target="_blank" class="nav-link">Contact</a>
      </li>
      
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>
     
      <!-- Navbar POS Cart -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="fas fa-shopping-cart"></i>
          <!-- <span class="badge badge-warning navbar-badge">4</span> -->
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header"><b>POS</b></span>
          <div class="dropdown-divider"></div>
          <a href="index.php?page=pos" class="dropdown-item">
            <i class="fas fa-shopping-cart mr-2"></i> New Sales
            <span class="float-right text-muted text-sm"></span>
          </a>
        </div>
      </li>

     
      </li>
       <!-- Notifications Dropdown Menu -->
       <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">4</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header"><b>Pro Version | Support</b></span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> onielinnovation@gmail.com
            <span class="float-right text-muted text-sm"></span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-phone mr-2"></i> 2348132299599, 2348088728020, <br/>
            2348144200027
            <span class="float-right text-muted text-sm"></span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="https://wa.me/message/242EUZV2AGJRA1" target="_blank" class="dropdown-item">
            <i class="fab fa-whatsapp mr-2"></i> 2348132299599
            <span class="float-right text-muted text-sm"></span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="https://onielng.com" target="_blank" class="dropdown-item">
            <i class="fas fa-globe mr-2"></i> O'niel Innovations 
            <span class="float-right text-muted text-sm"></span>
          </a>
		  <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item"> 
		        <i class="fas fa-calendar mr-2"></i> Live Date: <?php echo $liveDate ?> <br> Active Day(s): <?php echo $activeDays ?> 
												
            <span class="float-right text-muted text-sm"></span>
          </a>
      <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item"> 
		        <i class="fas fa-calendar mr-2"></i> Due Date: <?php echo date($nextActivationDate) ?> <br> Due Day(s): <?php echo $activationDays ?> 
												
            <span class="float-right text-muted text-sm"></span>
          </a>
      <div class="dropdown-divider"></div>
		  <a href="#" class="dropdown-item dropdown-footer"> </a>
          <!--<a href="#" class="dropdown-item dropdown-footer">See All Notifications</a> $daysDifferen -->
        </div>
      </li>
      <!-- User Profile and Log out -->
      <li class="nav-item dropdown user-menu">
        <a href="#" class="nav-link dropdown-toggle" data-toggle="dropdown">
          <img src="./images/store.png" class="user-image img-circle elevation-2" alt="User Image">
          <span class="d-none d-md-inline"><?php echo $_SESSION['login_names'] ?></span>
        </a>
        <ul class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          
        </ul>
      </li>
      <!--<li class="nav-item">
        <a class="nav-link" href="ajax.php?action=logout" placeholder="Sign Out"><i class="fa fa-power-off"></i></a>
		
      </li>-->
	  
	  <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="fa fa-power-off"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header"><b>Power</b></span>
          <div class="dropdown-divider"></div>
          <a href="lockscreen.php" class="dropdown-item">
            <i class="fa fa-power-off mr-2"></i> Lock Screen
            <span class="float-right text-muted text-sm"></span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="ajax.php?action=logout" class="dropdown-item">
			      <i class="fa fa-sign-out mr-2" style="color:red"></i> Sign Out
            <span class="float-right text-muted text-sm"></span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer"></a>
        </div>
      </li>
      
      <!-- Full Screen action -->
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <!--<li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>-->
      
    </ul>
  </nav>
  
  
<script>
	let idleTime = 0;
	const idleInterval = 1000; // milliseconds

	// Function to track user activity
	function resetIdleTimer() {
	  idleTime = 0;
	}

	// Increment idle time every second
	setInterval(function() {
	  idleTime += idleInterval / 1000; // Increment by the interval in seconds
	  if (idleTime >= 60 * 5) { // 5 minutes (60 seconds * 5)
		window.location.href = 'lockscreen.php'; // Redirect to lockscreen page
	  }
	}, idleInterval);

	// Event listeners to detect user activity
	document.addEventListener('mousemove', resetIdleTimer);
	document.addEventListener('keypress', resetIdleTimer);
</script>