<?php include './private/db_connect.php' ?>


<div class="wrapper">
<div class="content-wrapper">
	<div class="container-fluid">
		<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | POS</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">POS Sales</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
		</div>
	<div class="col-lg-12">
		
		<div class="row">
			<div class="col-md-12">
			<div class="card card-outline card-warning">
				<div class="card-header">
					<h2 class="card-title"><b>POS Sales</b></h2>

					<div class="card-tools">
					<button type="button" class="btn btn-tool" data-card-widget="collapse">
						<i class="fas fa-minus"></i>
					</button>
					<button type="button" class="btn btn-tool" data-card-widget="remove">
						<i class="fas fa-times"></i>
					</button>
					</div>
				</div>

					<div class="card-body">
					<div class="col-md-12">
						<div class="row mb-9">
							<div class="form-group col-md-4">
								<button class="col-md-8 float-right btn btn-info btn-sm" id="new_sales"><i class="fa fa-plus"></i> New Sales</button>
							</div>
							<div class="form-group col-md-3">
								<!-- <button class="col-md-8 float-right btn btn-warning btn-sm" id="credit_payment"><i class="fa fa-plus"></i> Debt Payment</button> -->
							</div>
							<?php if($_SESSION['login_type'] == 2 OR $_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?> 
							<div class="form-group col-md-4">
								<button class="btn btn-info float-right btn-sm" id="daily_sales"><i class="fa fa-plus"></i> Display Daily Sales</button>
							</div>
							<?php endif; ?>
						</div>
					</div>

						<table class="table table-bordered table-striped" id="load_table">
							<thead>
								<th class="text-center">#</th>
								<th class="text-center">Date</th>
								<th class="text-center">Reference #</th>
								<th class="text-center">Customer</th>
								<th class="text-center">Store</th>
								<th class="text-center">Action</th>
							</thead>
							<tbody>
							
							<!-- // Display all sales list   -->
							<?php if($_SESSION['login_type'] == 1 || $_SESSION['login_type'] == 11): ?>
								<?php 
									$customer = $conn->query("SELECT * FROM customer_list order by name asc");
									while($row=$customer->fetch_assoc()):
										$cus_arr[$row['id']] = $row['name'];
									endwhile;
										$cus_arr[0] = "GUEST";
									$store = $conn->query("SELECT * FROM stores order by store_name asc");
									while($row=$store->fetch_assoc()):
										$str_arr[$row['id']] = $row['store_name'];
									endwhile;
									$cashier = $conn->query("SELECT * FROM users order by names asc");
									while($row=$store->fetch_assoc()):
										$cash_arr[$row['id']] = $row['names'];
									endwhile;
									$i = 1;
									$sales = $conn->query("SELECT * FROM sales_list ORDER BY date(date_updated) DESC LIMIT 500");
									while($row=$sales->fetch_assoc()):
								?>
									<tr>
										<td class="text-center"><?php echo $i++ ?></td>
										<td class=""><?php echo date($row['date_updated']) ?></td>
										<td class=""><?php echo $row['ref_no'] ?></td>
										<!-- <td class=""></?php echo isset($cash_arr[$row['user_id']])? $cash_arr[$row['user_id']] :'N/A' ?></td> -->
										<td class=""><?php echo isset($cus_arr[$row['customer_id']])? $cus_arr[$row['customer_id']] :'N/A' ?></td>
										<td class=""><?php echo isset($str_arr[$row['store_id']])? $str_arr[$row['store_id']] :'N/A' ?></td>
										<td class="text-center">
											<a class="btn btn-sm btn-primary" href="index.php?page=viewpos&id=<?php echo $row['id'] ?>">View</a>
											<a class="btn btn-sm btn-danger delete_sales" href="javascript:void(0)" data-id="<?php echo $row['id'] ?>">Delete</a>
										</td>
									</tr>
								<?php endwhile; ?>
							<?php endif; ?>
							
							<!-- // Display sales list by store -->
							<?php if($_SESSION['login_type'] == 2): ?> 
								<?php 
									$customer = $conn->query("SELECT * FROM customer_list order by name asc");
									while($row=$customer->fetch_assoc()):
										$cus_arr[$row['id']] = $row['name'];
									endwhile;
										$cus_arr[0] = "GUEST";
									$store = $conn->query("SELECT * FROM stores");
									while($row=$store->fetch_assoc()):
										$str_arr[$row['id']] = $row['store_name'];
									endwhile;
									$i = 1;
									$sales = $conn->query("SELECT * FROM sales_list WHERE store_id = '".$_SESSION['login_store_id']."' ORDER BY date(date_updated) DESC LIMIT 500");
									while($row=$sales->fetch_assoc()):
								?>
									<tr>
										<td class="text-center"><?php echo $i++ ?></td>
										<td class=""><?php echo date($row['date_updated']) ?></td>
										<td class=""><?php echo $row['ref_no'] ?></td>
										<!-- <td class=""></?php echo isset($cash_arr[$row['user_id']])? $cash_arr[$row['user_id']] :'N/A' ?></td> -->
										<td class=""><?php echo isset($cus_arr[$row['customer_id']])? $cus_arr[$row['customer_id']] :'N/A' ?></td>
										<td class=""><?php echo isset($str_arr[$row['store_id']])? $str_arr[$row['store_id']] :'N/A' ?></td>
										
										<td class="text-center">
											<a class="btn btn-sm btn-primary" href="index.php?page=viewpos&id=<?php echo $row['id'] ?>">View</a>
											<a class="btn btn-sm btn-danger delete_sales" href="javascript:void(0)" data-id="<?php echo $row['id'] ?>">Delete</a>
										</td>
									</tr>
								<?php endwhile; ?>
							<?php endif; ?>

							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</div>
</div>

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<script>
  $(function () {
    $("#load_table2").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#load_table2_wrapper .col-md-6:eq(0)');
    $('#load_table').DataTable({
      "paging": true,
      "lengthChange": true,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>

<script>
	//$('table').dataTable()
	$('#new_sales').click(function(){
		location.href = "index.php?page=pos"
	})

	//  Display Daly Sales Report for Cashiers
	$('#daily_sales').click(function(){
		location.href = "index.php?page=cashier_sales"
	})

	//  Display Credit Payment form PaymentReport.php
	//location.href = "index.php?page=PaymentReport1"
	$('#credit_payment').click(function(){
		location.href = "index.php?page=credit_payment"
	})

	// $('.credit_payment').click(function(){
	// uni_modal('Debt Payment','credit_payment1.php?id='+$(this).attr('data-id'))
	// })

	$('.delete_sales').click(function(){
		_conf("Are you sure to delete this data?","delete_sales",[$(this).attr('data-id')])
	})
	function delete_sales($id){
		start_load()
		$.ajax({
			url:'ajax.php?action=delete_sales',
			method:'POST',
			data:{id:$id},
			success:function(resp){
				if(resp==1){
					alert("Data successfully deleted",'success')
					
					setTimeout(function(){
						location.reload()
					},1500)

				}
			}
		})
	}
</script>