
<style>
    .hidden {
        display: none;
    }
</style>

<?php 
	include('./private/db_connect.php');
?>

<div class="wrapper">
<div class="content-wrapper">

<div class="container-fluid">
	<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | Martvet</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">Product Purchase List</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
	</div>
	<div class="col-lg-12">
    <div class="card card-outline card-info">
        <div class="card-header">
            <h2 class="card-title"><b>Product List</b></h2>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-card-widget="collapse">
                    <i class="fas fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-card-widget="remove">
                    <i class="fas fa-times"></i>
                </button>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <!-- Table Panel -->
                <div class="col-md-8">
                    <div class="card card-outline card-info">
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th class="text-center">#</th>
                                        <th class="text-left">SKU</th>
                                        <th class="text-left">Product</th>
                                        <th class="text-left">Stock-In Date</th>
                                         <!-- Hidden Columns -->
                                        <!-- <th style="display:none;">Qty</th>
                                        <th style="display:none;">Cost Price</th>
                                        <th style="display:none;">Purchase Date</th>
                                        <th style="display:none;">Expire Date</th> -->
                                        <!-- Action column -->
                                        <th class="text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody id="product_list_body">
                                    <!-- Dynamic content will be loaded here -->
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <hr />
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label class="control-label">Barcode/Product</label>
                            <div class="input-group input-group-sm">
                                <input type="text" class="form-control form-control-sm text-left" id="search" name="search">
                                <span class="input-group-append">
                                    <button type="button" id="search_button" class="btn btn-info btn-sm">Search</button>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- FORM Panel -->
                <div class="col-md-4">
                    <form action="" id="manage-product">
                        <div class="card card-info">
                            <div class="card-header">Product Detail</div>
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <input type="hidden" id="store_id" name="store_id" value="<?php echo ($_SESSION['login_store_id']) ?>">
                                            <label class="control-label">Product Name</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="name" id="name">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Qty</label>
                                            <input type="number" step="any" class="form-control form-control-sm text-left" name="qty" id="qty">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Cost Price</label>
                                            <input type="number" step="any" class="form-control form-control-sm text-left" name="cost_price" id="cost_price">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Purchase Date</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="purchase_date" id="purchase_date">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Expire Date</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="expire_date" id="expire_date">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="row">
                                    <div class="col-md-12">
                                        <button class="btn btn-sm btn-warning col-sm-3" type="button" onclick="$('#manage-product').get(0).reset()">Cancel</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>

                <!-- <div class="col-md-4">
                    <form action="" id="manage-product">
                        <div class="card card-info">
                            <div class="card-header">Product Detail</div>
                            <div class="col-sm-12">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <input type="hidden" id="store_id" name="store_id" value="<?php echo ($_SESSION['login_store_id']) ?>">
                                            <label class="control-label">Product Name</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="name" id="name">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Qty</label>
                                            <input type="number" step="any" class="form-control form-control-sm text-left" name="qty" id="qty">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Cost Price</label>
                                            <input type="number" step="any" class="form-control form-control-sm text-left" name="cost_price" id="cost_price">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Purchase Date</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="purchase_date" id="purchase_date">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="control-label">Expire Date</label>
                                            <input type="text" class="form-control form-control-sm text-left" name="expire_date" id="expire_date">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <div class="row">
                                    <div class="col-md-12">
                                        <button class="btn btn-sm btn-warning col-sm-3" type="button" onclick="$('#manage-product').get(0).reset()">Cancel</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div> -->
                <!-- FORM Panel -->
            </div>
        </div>
    </div>
</div>
	</div>
</div>

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- Select2 -->
<script src="./plugins/select2/js/select2.full.min.js"></script>

<script>
  $(function () {
  	 $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

    $("#example1").dataTable({
      "responsive": true, "lengthChange": true, "autoWidth": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>

<!-- <script>
    $(document).ready(function() {
        // Handle search button click
        $('#sku').on('click', function() {
            var search = $('#search').val();  // Get search input value
            var store_id = $('#store_id').val();  // Get store ID
            
            // Send AJAX request to fetch inventory data
            $.ajax({
                url: 'fetch_purchase.php',  // Your PHP file to fetch data
                type: 'POST',
                data: {search: search, store_id: store_id},
                dataType: 'json',
                success: function(data) {
                    // Clear existing table rows
                    $('#example1 tbody').empty();

                    // Loop through each result and append to the table
                    $.each(data, function(index, item) {
                        $('#example1 tbody').append(`
                            <tr>
                                <td class="text-center">${index + 1}</td>
                                <td class="text-left">${item.sku}</td>
                                <td class="text-left">${item.name}</td>
                                <td class="text-left">${item.date_updated}</td>
                                <td class="text-center">
                                    <button class="btn btn-sm btn-primary view_product" data-id="${item.id}" type="button">View</button>
                                </td>
                            </tr>
                        `);
                    });

                    // Attach click handler to view buttons
                    $('.view_product').on('click', function() {
                        var id = $(this).data('id');

                        // Find the product in the data array
                        var product = data.find(item => item.id == id);

                        // Populate the form with product data
                        $('#name').val(product.name);
                        $('input[name="qty"]').val(product.qty);
                        $('input[name="cost_price"]').val(product.cprice);
                        $('input[name="purchase_date"]').val(product.purchase_date);
                        $('input[name="expire_date"]').val(product.expire_date);
                    });
                }
            });
        });
    });
</script> -->

<script>
// JavaScript to handle the search and dynamically update the table
document.getElementById('search_button').addEventListener('click', function() {
    var search = document.getElementById('search').value;
    var store_id = document.getElementById('store_id').value;

    // Send AJAX request
    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'fetch_purchase.php', true);
    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    xhr.onload = function() {
        if (xhr.status === 200) {
            document.getElementById('product_list_body').innerHTML = xhr.responseText;
        }
    };
    xhr.send('search=' + encodeURIComponent(search) + '&store_id=' + encodeURIComponent(store_id));
});

// Attach click handler to view buttons
$(document).ready(function() {
    // When the view button is clicked
    $('body').on('click', '.view_product', function() {
        // Get the parent row of the clicked view button
        var row = $(this).closest('tr');

        // Extract data from the row's cells (including hidden columns)
        var sku = row.find('td').eq(1).text();   // SKU
        var product_name = row.find('td').eq(2).text();   // Product name
        var stock_in_date = row.find('td').eq(3).text();  // Stock-in date
        var qty = row.find('td').eq(4).text();   // Quantity (hidden)
        var cprice = row.find('td').eq(5).text();   // Cost price (hidden)
        var expire_date = row.find('td').eq(6).text();   // Expire date (hidden)
        var purchase_date = row.find('td').eq(7).text();   // Purchase date (hidden)

        var qty = row.find('td').eq(4).text();   // Quantity (hidden)
        var cprice = row.find('td').eq(5).text();   // Cost price (hidden)
        var expire_date = row.find('td').eq(6).text();   // Expire date (hidden)

        // Populate the form fields with the data from the selected row
        $('#name').val(product_name);
        $('#qty').val(qty);
        $('#cost_price').val(cprice);
        $('#expire_date').val(expire_date);
        $('#purchase_date').val(purchase_date);
        
    });
});

// $(document).ready(function() {
//     // When the view button is clicked
//     $('body').on('click', '.view_product', function() {
//         // Get the parent row of the clicked view button
//         var row = $(this).closest('tr');

//         // Extract data from the row's cells
//         var sku = row.find('td').eq(1).text();   // SKU
//         var product_name = row.find('td').eq(2).text();   // Product name
//         var qty = row.find('td').eq(3).text();   // Quantity
//         var cprice = row.find('td').eq(4).text();   // Cost price
//         var purchase_date = row.find('td').eq(5).text();   // Purchase date
//         var expire_date = row.find('td').eq(6).text();   // Expire date

//         // Populate the form fields with the data from the selected row
//         $('#name').val(product_name);
//         $('#qty').val(qty);
//         $('#cost_price').val(cprice);
//         $('#purchase_date').val(purchase_date);
//         $('#expire_date').val(expire_date);
//     });
// });

</script>