
<style>
    .hidden {
        display: none;
    }
</style>

<?php 
	include('./private/db_connect.php');
	
?>


<div class="wrapper">
<div class="content-wrapper">

<div class="container-fluid">
	<div class="content-header">
		<div class="container-fluid">
			<div class="row mb-2">
			<div class="col-sm-6">
				<h1 class="m-0">Onielsoft | Martvet</h1>
			</div><!-- /.col -->
			<div class="col-sm-6">
				<ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item"><a href="index.php">Home</a></li>
				<li class="breadcrumb-item active">Product List</li>
				</ol>
			</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.container-fluid -->
	</div>
	<div class="col-lg-12">
	<div class="card card-outline card-info">
		<div class="card-header">
            <h2 class="card-title"><b>Product List</b></h2>

            <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
              </button>
              <button type="button" class="btn btn-tool" data-card-widget="remove">
                <i class="fas fa-times"></i>
              </button>
            </div>
        </div>
		<div class="card-body">
		<div class="row">
			<!-- FORM Panel -->
			<div class="col-md-6">
			
			<form action="" id="manage-product">
				<div class="card card-info">
					<div class="card-header">
						Product Form
				  	</div>
					  <div class="col-sm-12">
						<div class="row">
            				<div class="col-sm-6">
								<div class="form-group">
									<input type="hidden" id="store_id" name="store_id" value="<?php echo ($_SESSION['login_store_id']) ?>">
									<label class="control-label">Product Name</label>
									<input type="text" class="form-control form-control-sm text-left" name="name" id="name" onfocusout="myFunction()">
								</div>
							</div>
							<div class="col-sm-6">
							<div class="form-group">
							<label class="control-label">Category</label>
								<select name="category_id" id="" class="custom-select browser-default" data-placeholder="Select a Category" style="width: 100%;">
								<!-- <select name="category_id" id="" class="form-control select2 form-control-sm" multiple="multiple" data-placeholder="Select a Category" style="width: 100%;"> -->
								<option value=""></option>
									<?php 

									$cat = $conn->query("SELECT * FROM category_list WHERE store_id = '".$_SESSION['login_store_id']."' order by name asc");
									while($row=$cat->fetch_assoc()):
										$cat_arr[$row['id']] = $row['name'];
									?>
										<option value="<?php echo $row['id'] ?>"><?php echo $row['name'] ?></option>
									<?php endwhile; ?>
								</select>
							</div>
							</div>
							<div class="col-sm-6" style="display:none;">
								<div class="form-group">
									<label class="control-label">Description</label>
									<textarea class="form-control" cols="30" rows="2" name="description"></textarea>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">Cost Price</label>
									<input type="number" step="any" class="form-control form-control-sm text-right" name="cost_price" value="0">
								</div>
							</div>
							<div class="col-sm-6">
								<div class="form-group">
									<label class="control-label">Single Selling Price</label>
									<input type="number" step="any" class="form-control form-control-sm text-right" name="price" value="0">
								</div>
							</div>
						</div>
						
						
						<div class="row">
            				<div class="col-sm-6">
							<div class="form-group">
								<div class="icheck-info d-inline">
									<input type="checkbox" name="checkboxDanger2" id="checkboxDanger2">
									<label for="checkboxDanger2"> Carton Sales
									</label>
								</div>
							</div>
							</div>
							
						</div>
						<div class="row">
							<div class="col-sm-6">
								<div class="form-group">
									<label id="textbox3_label" class="hidden">Carton Selling Price</label>
									<input type="number" step="any" class="form-control hidden form-control-sm text-right" id="c_price" name="c_price" value="0">
								</div>
							</div>
            				<div class="col-sm-6">
								<div class="form-group">
									<label id="textbox4_label" class="hidden">Carton Qty</label>
									<input type="number" step="any" class="form-control hidden form-control-sm text-right" id="c_qty" name="c_qty" value="0">
								</div>
							</div>
						</div>
						
						<hr/>
						<?php 
							if (!isset($sku)) {
							    // Variable is undefined, assign an empty value
							    $sku = '';
							}
						?>
						<input type="hidden" name="id">
						<div class="form-group">
							<label class="control-label">Barcode/SKU</label>
							<!-- <input type="text" class="form-control" name="sku" value="<?php echo $sku ?>"> -->
							<div class="input-group input-group-sm">
								<span class="input-group-append">
									<button type="button" id="barcode" name="barcode" class="btn btn-info btn-sm" ><i class="fas fa-barcode"></i></button>
								</span>
								<input type="text" class="form-control form-control-sm text-left"  id="sku" name="sku" value="<?php echo $sku ?>" >
							</div>
						</div>
						
					</div>
					<div class="card-footer">
						<div class="row">
							<div class="col-md-12">
								<button class="btn btn-sm btn-info col-sm-3 offset-md-3"> Save</button>
								<button class="btn btn-sm btn-warning col-sm-3" type="button" onclick="$('#manage-product').get(0).reset()"> Cancel</button>
							</div>
						</div>
					</div>
				</div>
			</form>
			</div>
			<!-- FORM Panel -->

			<!-- Table Panel -->
			<div class="col-md-6">
			<div class="card card-outline card-info">
					<div class="card-body">
						<table id="example1" class="table table-bordered table-striped"> 
						<!-- <table id="example2" class="table table-bordered table-hover">
						<table class="table table-bordered table-hover">-->
							<thead>
								<tr>
									<th class="text-center">#</th>
									<th class="text-center">Product Info</th>
									<th class="text-center">Action</th>
								</tr>
							</thead>
							<tbody>
							 
							<?php if($_SESSION['login_type'] == 1 OR $_SESSION['login_type'] == 11): ?>
								<?php 
									$i = 1;
									$prod = $conn->query("SELECT * FROM product_list order by name asc");
									while($row=$prod->fetch_assoc()):
								?>
								<tr>
									<td class="text-center"><?php echo $i++ ?></td>
									<td class="">
										<p>SKU : <b><?php echo $row['sku'] ?></b></p>
										<p><small>Category : <b><?php echo $cat_arr[$row['category_id']] ?></b></small></p>
										<p><small>Name : <b><?php echo $row['name'] ?></b></small></p>
										<!-- <p><small>Description : <b></?php echo $row['description'] ?></b></small></p> -->
										<p><small>Selling Price : <b><?php echo number_format($row['price'],2) ?></b></small></p>
										<p><small>Cost Price : <b><?php echo number_format($row['cost_price'],2) ?></b></small></p>
										<p><small>Carton Price : <b><?php echo number_format($row['c_price'],2) ?></b></small></p>
										<p><small>Carton Qty : <b><?php echo number_format($row['c_qty'],2) ?></b></small></p>
									</td>
									<td class="text-center">
										<button class="btn btn-sm btn-primary edit_product" type="button" data-id="<?php echo $row['id'] ?>" data-name="<?php echo $row['name'] ?>" data-sku="<?php echo $row['sku'] ?>" data-category_id="<?php echo $row['category_id'] ?>" data-description="<?php echo $row['description'] ?>" data-store_id="<?php echo $row['store_id'] ?>" data-price="<?php echo $row['price'] ?>" data-cost_price="<?php echo $row['cost_price'] ?>" data-c_price="<?php echo $row['c_price'] ?>" data-c_qty="<?php echo $row['c_qty'] ?>">Edit</button>
										<!-- <button class="btn btn-sm btn-primary edit_product" type="button" data-id="<?php echo $row['id'] ?>" data-name="<?php echo $row['name'] ?>" data-sku="<?php echo $row['sku'] ?>" data-category_id="<?php echo $row['category_id'] ?>" data-store_id="<?php echo $row['store_id'] ?>" data-price="<?php echo $row['price'] ?>" data-c_price="<?php echo $row['c_price'] ?>" data-c_qty="<?php echo $row['c_qty'] ?>">Edit</button> -->
										<button class="btn btn-sm btn-danger delete_product" type="button" data-id="<?php echo $row['id'] ?>">Delete</button>
									</td>
								</tr>
								<?php endwhile; ?>
								<?php endif; ?>
								
								<?php if($_SESSION['login_type'] == 2): ?> 
								<?php 
								$i = 1;
								$prod = $conn->query("SELECT * FROM product_list WHERE store_id = '".$_SESSION['login_store_id']."' order by name asc");
								while($row=$prod->fetch_assoc()):
								?>
								<tr>
									<td class="text-center"><?php echo $i++ ?></td>
									<td class="">
										<p>SKU : <b><?php echo $row['sku'] ?></b></p>
										<p><small>Category : <b><?php echo $cat_arr[$row['category_id']] ?></b></small></p>
										<p><small>Name : <b><?php echo $row['name'] ?></b></small></p>
										<p><small>Description : <b><?php echo $row['description'] ?></b></small></p>
										<p><small>Selling Price : <b><?php echo number_format($row['price'],2) ?></b></small></p>
										<p><small>Cost Price : <b><?php echo number_format($row['cost_price'],2) ?></b></small></p>
										<p><small>Carton Price : <b><?php echo number_format($row['c_price'],2) ?></b></small></p>
										<p><small>Carton Qty : <b><?php echo number_format($row['c_qty'],2) ?></b></small></p>
									</td>
									<td class="text-center">
										<button class="btn btn-sm btn-primary edit_product" type="button" data-id="<?php echo $row['id'] ?>" data-name="<?php echo $row['name'] ?>" data-sku="<?php echo $row['sku'] ?>" data-category_id="<?php echo $row['category_id'] ?>" data-description="<?php echo $row['description'] ?>" data-store_id="<?php echo $row['store_id'] ?>" data-price="<?php echo $row['price'] ?>" data-c_price="<?php echo $row['c_price'] ?>" data-c_qty="<?php echo $row['c_qty'] ?>">Edit</button>
										<button class="btn btn-sm btn-danger delete_product" type="button" data-id="<?php echo $row['id'] ?>">Delete</button>
									</td>
								</tr>
								<?php endwhile; ?>
								<?php endif; ?>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
			</div>
		</div>
		</div>
	</div>	
	</div>
</div>

<!-- jQuery -->
<script src="./plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="./plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="./plugins/datatables/jquery.dataTables.min.js"></script>
<script src="./plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="./plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="./plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="./plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="./plugins/jszip/jszip.min.js"></script>
<script src="./plugins/pdfmake/pdfmake.min.js"></script>
<script src="./plugins/pdfmake/vfs_fonts.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="./plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- Select2 -->
<script src="./plugins/select2/js/select2.full.min.js"></script>

<script>
    var showTextbox = document.getElementById('checkboxDanger2');
    var c_price = document.getElementById('c_price');
    var textbox3Label = document.getElementById('textbox3_label');
    var c_qty = document.getElementById('c_qty');
    var textbox4Label = document.getElementById('textbox4_label');

    showTextbox.addEventListener('change', function () {
        if (this.checked) {
            c_price.classList.remove('hidden');
            textbox3Label.classList.remove('hidden');
            c_qty.classList.remove('hidden');
            textbox4Label.classList.remove('hidden');
        } else {
            c_price.classList.add('hidden');
            textbox3Label.classList.add('hidden');
            c_qty.classList.add('hidden');
            textbox4Label.classList.add('hidden');
        }
    });
</script>

<script>
  $(function () {
  	 $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

    $("#example1").dataTable({
      "responsive": true, "lengthChange": true, "autoWidth": true,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": true,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>

<script>
	$('#manage-product').submit(function(e){
		e.preventDefault()
		start_load()
		$.ajax({
			url:'ajax.php?action=save_product',
			data: new FormData($(this)[0]),
		    cache: false,
		    contentType: false,
		    processData: false,
		    method: 'POST',
		    type: 'POST',
			success:function(resp){
				if(resp==1){
					alert("Data successfully added",'success')
					setTimeout(function(){
						location.reload()
					},1500)

				}
				else if(resp==2){
					alert("Data successfully updated",'success')
					setTimeout(function(){
						location.reload()
					},1500)

				}
				
				else if(resp==3){
					alert("Product already exists",'Failed')
					setTimeout(function(){
						location.reload()
					},1500)

				}
			}
		})
	})
	
	$('.edit_product').click(function(){
		start_load()
		var cat = $('#manage-product')
		cat.get(0).reset()
		cat.find("[name='id']").val($(this).attr('data-id'))
		cat.find("[name='name']").val($(this).attr('data-name'))
		cat.find("[name='sku']").val($(this).attr('data-sku'))
		cat.find("[name='category_id']").val($(this).attr('data-category_id'))
		cat.find("[name='description']").val($(this).attr('data-description'))
		cat.find("[name='store_id']").val($(this).attr('data-store_id'))
		cat.find("[name='price']").val($(this).attr('data-price'))
		cat.find("[name='cost_price']").val($(this).attr('data-cost_price'))
		cat.find("[name='c_qty']").val($(this).attr('data-c_qty'))
		cat.find("[name='c_price']").val($(this).attr('data-c_price'))
		end_load()
	})

	$('.delete_product').click(function(){
		_conf("Are you sure to delete this product?","delete_product",[$(this).attr('data-id')])
	})

	function delete_product($id){
		start_load()
		$.ajax({
			url:'ajax.php?action=delete_product',
			method:'POST',
			data:{id:$id},
			success:function(resp){
				if(resp==1){
					alert("Data successfully deleted",'success')
					setTimeout(function(){
						location.reload()
					},1500)

				}
			}
		})
	}
</script>

<script>
	function myFunction() {
	var x = document.getElementById("name");
	x.value = x.value.toUpperCase();
	}
</script>

<script>
	// Generate SKU button click event
	document.getElementById("barcode").addEventListener("click", function() {
	    // Generate SKU
	    var sku = generateSKU();

	    // Update SKU field value
	    document.getElementById("sku").value = sku;
	});

	// Function to generate SKU
	function generateSKU() {
	    // Array of alphabets
	    var alphabets = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M',
	                     'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];

	    // Generate a random number
	    var randomSKU = Math.floor(Math.random() * 10000);

	    // Generate a random alphabet
	    var randomAlphabet = alphabets[Math.floor(Math.random() * alphabets.length)];

	    // Combine the random number and random alphabet
	    var sku = randomSKU.toString() + randomAlphabet;

	    return sku;
	}

	// Prevent form submission
	document.getElementById("submit-button").addEventListener("click", function(event) {
	    event.preventDefault();

	    // Perform any necessary actions here before submitting the form (if required)

	    // Submit the form using JavaScript (if required)
	    // document.getElementById("your-form-id").submit();
	});
</script>

<script>
	document.getElementById('sku').addEventListener('keypress', function(event) {
	if (event.keyCode == 13) {
			event.preventDefault();
		}
	});
</script>